        let fish_completer = {|spans|
            let completions = fish --command $'complete "--do-complete=($spans | str join " ")"'
            | from tsv --flexible --noheaders --no-infer
            | rename value description

            let has_paths = ($completions | any {|row| $row.value =~ '/' or $row.value =~ '\\.\\w+$' or $row.value =~ ' '})

            if $has_paths {
                $completions | update value {|row|
                    if $row.value =~ ' ' {
                        $"'($row.value)'"  # Wrap in single quotes
                    } else {
                        $row.value
                    }
                }
            } else {
                $completions
            }
         }

